Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Greg KH <[email-masked]>
Date: Tue, 26 May 2015 07:14:01 -0700

On Mon, May 25, 2015 at 10:07:59PM -0700, Joe Perches wrote:
> On Tue, 2015-05-26 at 10:32 +0530, Sudip Mukherjee wrote:
> > On Mon, May 25, 2015 at 09:55:08PM -0700, Joe Perches wrote:
> > > On Tue, 2015-05-26 at 10:16 +0530, Sudip Mukherjee wrote:
> > > > On Mon, May 25, 2015 at 10:37:28AM -0700, Joe Perches wrote:
> > > > > It'd be better if the approved patches from the intern list
> > > > > (no idea what that is) were sent to lkml/devel@driverdev lists
> > > > > for review before actually being applied.
> > > > Its the outreachy program. And http://kernelnewbies.org/OutreachyApply
> > > > mentions specifically: "email your first patch to the outreachy-kernel
> > > > mailing list. Do not send patches to the tmain Linux mailing lists"
> > > 
> > > The same thing happens with the eudyptula patches.
> > But for eudyptula, patches have to properly submitted to lkml and
> > maintainers. And today I am here just because of eudyptula. My patches
> > and contributions here, everything started with it. :)
> 
> As far as I understand, the Eudyptula Challenge list has
> internal mechanisms to nominally review patches before some
> patch is submitted to lkml.

No it does not.

> The main point is that patches shouldn't be applied without
> being submitted to a more widely read list.

I take the blame for any problems with Outreachy patches.  Given the
huge volume of them, one bug out of 900 isn't that bad of a percentage.

thanks,

greg k-h